Skip to main content
GET
/
organizations
/
{organization_id}
/
custom-preset-filters
List custom preset filters
curl --request GET \
  --url https://api.initdesk.com/organizations/{organization_id}/custom-preset-filters/ \
  --header 'X-Initdesk-Token: <api-key>'
{
  "count": 123,
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "created_by": {
        "id": 123,
        "email": "jsmith@example.com",
        "name": "<string>"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "criteria": "<unknown>"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

X-Initdesk-Token
string
header
required

Path Parameters

organization_id
string
required

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"